#!/bin/bash
# TEMP Files
LOG=/tmp/`date --date "today " +%d%b%y`
#ERRORS="${TMPFILE}"

# Finding DATE for report
TODAY=$(date --date "today" +%d/%m/%Y)
YESTERDAY=$(date --date "1 day ago" +%d/%m/%Y)
WEEKAGO=$(date --date "1 week ago" +%d/%m/%Y)
MONTHAGO=$(date --date "1 month ago" +01/%m/%Y)-$(date --date "1 month ago" +31/%m/%Y)

# Path of the sarg command this can be find out by "type sarg" command 
# SARG_COMMAND=/usr/bin/sarg
SARG_COMMAND=/usr/bin/sarg

# Sarg configuration file path 
# This path of the sarg config file is for the ubuntu
# For ubuntu sarg file will be /etc/squid/sarg.conf
# For fedora sarg file will be /usr/local/sarg/sarg.conf
CONFIG_FILE=/etc/squid/sarg.conf 

# This is for sarg daily report
echo "`date` Executing command .... ${SARG_COMMAND} -f ${CONFIG_FILE} -xz -d ${YESTERDAY} >${LOG} 2>&1"
${SARG_COMMAND} -f ${CONFIG_FILE} -xz -d ${YESTERDAY} >${LOG}.sarglog 2>&1

# This if for sarg weekly report
# echo "`date`Executing command .... ${SARG_COMMAND} -f ${CONFIG_FILE} -xz  -d ${WEEKAGO} >${LOG} 2>&1"
# ${SARG_COMMAND} -f ${CONFIG_FILE} -xz  -d ${WEEKAGO} >${LOG}.sarglog 2>&1

# This if for sarg imonthly report
# echo "`date`Executing command .... ${SARG_COMMAND} -f ${CONFIG_FILE} -d ${MONTHAGO} >${LOG} 2>&1"
# ${SARG_COMMAND} -f ${CONFIG_FILE} -d ${MONTHAGO} >${LOG}.sarglog 2>&1
